Subject: Re: FVWM: AIX xmkmf error

From: "Paul Bennett" <[email-masked]>
Date: Mon, 2 Jun 1997 10:31:27 +0000

> >>>>> "Paul" == Paul Bennett <[email-masked]> writes:
> 
> Paul> I am trying to compile fvwm 2.0.45 and 2.0.44 on a AIX 4.1 machine.
> Paul> I am getting the following error.
> 
> I was able to reproduce this.  At work I normally build under AIX
> 3.2.5, which doesn't show these problems, but all of our machines are
> being upgraded to AIX 4.1, so this would have hit me eventually...
> 
> Try this patch, which I don't think will affect anyone in a bad way,
> but can't check another OS (eg Linux) until I get home tonight:

I tried this patch, and it fixed the error I was getting, but it 
caused a new error:

[ena2] </home/users/paulb/fvwm-2.0.45>make all
"Makefile", line 534: make: 1254-055 Dependency line needs colon or
double colon
 operator.
make: 1254-058 Fatal errors encountered -- cannot continue.
[ena2] </home/users/paulb/fvwm-2.0.45>

It seems that MakeSubdirs line in the Imake file is not being 
called as a function, but is being interpreted as a dependency line.
 
Thanks.

-- Paul
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].